package io.zipcoder.persistenceapp.controller;

import io.zipcoder.persistenceapp.model.Home;
import io.zipcoder.persistenceapp.service.HomeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

public class HomeController {

    @Autowired
    HomeService homeService;

    @PostMapping(value = "/homes")
    public ResponseEntity<Home> createHome(@RequestBody Home home) {
        homeService.addHome(home);
        return new ResponseEntity<>(home, HttpStatus.CREATED);
    }

//    @PutMapping("/people/{id}")
//    public ResponseEntity<>

    @GetMapping(value = "/homes")
    public ResponseEntity<Iterable<Home>> getHomes() {
        Iterable<Home> homes = homeService.getAllHomes();
        return new ResponseEntity<>(homes, HttpStatus.OK);
    }
}
